List Integrations - SuperAI Flows
List Integrations
cURL
curl --request GET \
--url https://flows.super.ai/api/plugins/{plugin_name}/instances \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/plugins/{plugin_name}/instances"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/plugins/{plugin_name}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Error Response - 422
{
"detail": [\
{\
"loc": [\
"<string>"\
],\
"msg": "<string>",\
"type": "<string>"\
}\
]\
}
Authorizations
X-API-Key
- Type: string
- Location: header
- Required: Yes
- Description: API key authentication. Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEY
- Example:
X-API-Key: saf_1234567890
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: JWT Bearer token authentication. Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN
- Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
| Parameter |
Type |
Required |
| plugin_name |
string |
Yes |
Query Parameters
| Parameter |
Type |
Required |
| flow_id |
string \ |
null |
| task_name |
string \ |
null |
Response